Bug 134193 - getaddrinfo caching appears to leak large amounts of memory
getaddrinfo caching appears to leak large amounts of memory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 23:19 EDT by Nicholas Miell
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.3-61
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 06:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox backtrace (4.23 KB, text/plain)
2004-09-29 23:20 EDT, Nicholas Miell
no flags Details

  None (edit)
Description Nicholas Miell 2004-09-29 23:19:31 EDT
Firefox has recently been prone to allocating multiple gigabytes of
memory and thrashing my box to death.

I tracked two problems back to gnome-vfs2, which have since been
fixed, but Firefox is still occasionally allocating huge chunks
amounts of memory.

The same update from rawhide which provided the buggy gnome-vfs2 also
came with the version of glibc where getaddrinfo caching was introduced.

I managed to accidentally trigger the bug in Firefox when running in a
debugger, and the only active thread was stopped in __nscd_getai, so I
think it's possible that the problem is in the getaddrinfo caching
changes.

This is on an AMD64 system, which may be related to the problem.
Comment 1 Nicholas Miell 2004-09-29 23:20:01 EDT
Created attachment 104562 [details]
Firefox backtrace
Comment 2 Nicholas Miell 2004-09-30 00:18:18 EDT
AFAICT, resultbuf is leaked if an intervening nscd GC causes
__nscd_getai to loop on retry.
Comment 3 Bill Nottingham 2004-09-30 00:46:57 EDT
This is with glibc-...-59?
Comment 4 Nicholas Miell 2004-09-30 00:56:29 EDT
yes
Comment 5 Ulrich Drepper 2004-09-30 06:24:40 EDT
Should be fixed in 2.3.3-61.

Note You need to log in before you can comment on or make changes to this bug.